Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.renderer
Class DynamicRenderer

    java.lang.Object
      org.apache.batik.gvt.renderer.StaticRenderer
          org.apache.batik.gvt.renderer.DynamicRenderer

All Implemented Interfaces:
  ImageRenderer, Renderer

    public class DynamicRenderer

extends StaticRenderer

Simple implementation of the Renderer that supports dynamic updates.

Field Summary

Fields inherited from class org.apache.batik.gvt.renderer.StaticRenderer
`currentBaseRaster, currentOffScreen, currentRaster, defaultRenderingHints, isDoubleBuffered, lastCache, lastCR, offScreenHeight, offScreenWidth, renderingHints, rootCR, rootFilter, rootGN, usr2dev, workingBaseRaster, workingOffScreen, workingRaster`

Constructor Summary
`DynamicRenderer()` Constructs a new dynamic renderer with the specified buffer image.
`DynamicRenderer(RenderingHints rh, AffineTransform at)`

Method Summary
`void` | `flush(Collection areas)` Flush a list of rectangles of cached image data.
`void` | `flush(Rectangle r)` Flush a rectangle of cached image data.
`void` | `repaint(RectListManager devRLM)` Repaints the associated GVT tree under the list of `areas`.
`protected CachableRed` | `setupCache(CachableRed img)`
`protected void` | `updateWorkingBuffers()` Internal method used to synchronize local state in response to various set methods.

Methods inherited from class org.apache.batik.gvt.renderer.StaticRenderer
`clearOffScreen, dispose, flush, getOffScreen, getRenderingHints, getTransform, getTree, isDoubleBuffered, renderGNR, repaint, setDoubleBuffered, setRenderingHints, setTransform, setTree, updateOffScreen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicRenderer

    public DynamicRenderer()

  Constructs a new dynamic renderer with the specified buffer image.

### DynamicRenderer

    public DynamicRenderer(RenderingHints rh,
                           AffineTransform at)

Method Detail

### setupCache

    protected CachableRed setupCache(CachableRed img)

  Overrides:
    `setupCache` in class `StaticRenderer`

### flush

    public void flush(Rectangle r)

  Description copied from class: `StaticRenderer`
  Flush a rectangle of cached image data.

  Specified by:
    `flush` in interface `ImageRenderer`
  Overrides:
    `flush` in class `StaticRenderer`

### flush

    public void flush(Collection areas)

  Flush a list of rectangles of cached image data.

  Specified by:
    `flush` in interface `ImageRenderer`
  Overrides:
    `flush` in class `StaticRenderer`

### updateWorkingBuffers

    protected void updateWorkingBuffers()

  Description copied from class: `StaticRenderer`
  Internal method used to synchronize local state in response to various set methods.

  Overrides:
    `updateWorkingBuffers` in class `StaticRenderer`

### repaint

    public void repaint(RectListManager devRLM)

  Repaints the associated GVT tree under the list of `areas`. If double buffered is true and this method completes cleanly it will set the result of the repaint as the image returned by getOffscreen otherwise the old image will still be returned. If double buffered is false it is possible some effects of the failed rendering will be visible in the image returned by getOffscreen.

  Specified by:
    `repaint` in interface `Renderer`
  Overrides:
    `repaint` in class `StaticRenderer`
  Parameters:
    `devRLM` - regions to be repainted, in the current user space coordinate system.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.